%define ver_major 0.9
%define cvsdate 20030204
%undefine cvsdate

Name: devhelp
Version: %ver_major.1
%define release alt1

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: Devhelp
License: GPL
Group: Development/Other
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef cvsdate
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-0.9.1.ru.po
%else
Source: %name-%version-%cvsdate.tar.bz2
%endif

%define GConf_ver 2.6.0
%define ORBit_ver 2.10.3
%define libbonobo_ver 2.6.1
%define glade_ver 2.4.0
%define glib_ver 2.4.4
%define gnome_vfs_ver 2.6.1.1
%define gtk_ver 2.4.4
%define libxml2_ver 2.5.6
%define mozilla_ver 1.7

Requires: lib%name = %version-%release

PreReq: GConf2 >= %GConf_ver
Requires: ORBit2 >= %ORBit_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: glib2 >= %glib_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libglade2 >= %glade_ver
Requires: libxml2 >= %libxml2_ver

BuildPreReq: menu-devel
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: mozilla-devel >= %mozilla_ver

# Automatically added by buildreq on Thu Mar 18 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel mozilla-devel mozilla-nspr perl-XML-Parser pkgconfig zlib-devel

%description
A developers help program.

%package -n lib%name
Summary: Devhelp widgets library
Group: System/Libraries
Requires: mozilla >= %mozilla_ver

%description -n lib%name
This package provides shared library required for Devhelp to work.

%package -n lib%name-devel
Summary: Devhelp widgets headers
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides files required to develop programs that use
Devhelp widgets.

%define _devhelpdir %_datadir/%name

%prep
%ifndef cvsdate
%setup -q -n %name-%version
%__cp %SOURCE1 po/ru.po
%else
%setup -q -n %name-%version-%cvsdate
%endif

%build
%ifdef cvsdate
NOCONFIGURE=1 ./autogen.sh
%endif
%configure \
	--disable-static \
	--disable-install-schemas

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl "%name" "Applications/Development" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# Create some directories in %name hierarchy
%__mkdir_p %buildroot%_devhelpdir/{specs,books}

%find_lang %name

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_devhelpdir
%dir %_devhelpdir/specs
%dir %_devhelpdir/books
%_devhelpdir/dtd
%_devhelpdir/images
%_devhelpdir/ui
%_devhelpdir/*.glade
%_datadir/applications/*
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
* Sun Jul 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1
- use freedesktop2menu.pl to build menu file.
- updated translations.

* Fri Jul 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1.1
- rebuild against new mozilla-1.7 

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- 0.9

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt2
- fixed buildreqs.

* Sun Jun 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Mon Mar 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.7
- 0.5.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.99-alt0.6cvs20030204
- gnome2 version from cvs crashes on startup.

* Sun May 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- First build for Sisyphus.
